Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class SlipFindExecutable.Resume

    java.lang.Object
      ix.iplan.Alternative
          ix.iplan.SlipFindExecutable.Resume

All Implemented Interfaces:
  Slip.Step, java.lang.Runnable

Enclosing class:
  SlipFindExecutable

     class SlipFindExecutable.Resume

extends Alternative

Field Summary
`(package private) LList` | `allNodeEnds`
`(package private) java.lang.String` | `doing`
`(package private) java.util.List<PNodeEnd>` | `interacting`
`(package private) LListIterator` | `nodeEndIter`
`(package private) PNodeEnd` | `selected`

Fields inherited from class ix.iplan.Alternative
`context, cost, isLocalChoice`

Constructor Summary
`SlipFindExecutable.Resume(LList allNodeEnds, LListIterator nodeEndIter, PNodeEnd selected, java.util.List<PNodeEnd> interacting, java.lang.String doing)`

Method Summary
`protected java.lang.String` | `extraToStringContents()`
`void` | `run()`
`void` | `whenPicked()`

Methods inherited from class ix.iplan.Alternative
`calcCost, getContext, getCost, isLocalChoice, setCost, setIsLocalChoice, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allNodeEnds

    LList allNodeEnds

### nodeEndIter

    LListIterator nodeEndIter

### doing

    java.lang.String doing

### selected

    PNodeEnd selected

### interacting

    java.util.List<PNodeEnd> interacting

Constructor Detail

### SlipFindExecutable.Resume

    SlipFindExecutable.Resume(LList allNodeEnds,
                              LListIterator nodeEndIter,
                              PNodeEnd selected,
                              java.util.List<PNodeEnd> interacting,
                              java.lang.String doing)

Method Detail

### run

    public void run()

### whenPicked

    public void whenPicked()

  Overrides:
    `whenPicked` in class `Alternative`

### extraToStringContents

    protected java.lang.String extraToStringContents()

  Overrides:
    `extraToStringContents` in class `Alternative`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD